
Foreman - Bug #1977

Report not parsed Puppet 2.7 with Ruby 1.9

11/27/2012 04:08 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Reporting   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reported on #theforeman, report parsing isn't working on Fedora 17, with Puppet 2.7.19 and stock ruby 1.9.3p286.

report: http://pastebin.ca/2255566

The test added in e81bf057 based on Puppet version probably isn't right - the choice of whether instance_variables is a symbol or

string should be based on ruby version instead.

Related issues:

Related to Foreman - Bug #1872: Puppet and foreman 3.0 Do not play well together Closed 09/19/2012

Associated revisions

Revision 3cb23101 - 12/09/2012 04:18 AM - Greg Sutcliffe

fixes #1977 - Don't rely on Puppetversion to determine report version

History

#1 - 12/05/2012 07:01 AM - Dominic Cleal

- Assignee changed from Dominic Cleal to Greg Sutcliffe

I'm betting this is the instance vars symbol vs. string difference.

#2 - 12/09/2012 05:18 AM - Greg Sutcliffe

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 3cb23101a4fb10e3dd6720ec75274a3b4f1ff71d.
